Summary: Library for handling different jpeg files.
Name: libjpeg6a
Version: 6a
Release: 2
Copyright: distributable
Group: Libraries
Source0: ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6a.tar.gz
Buildroot: /var/tmp/libjpeg-root
Patch: jpeg-shlib.patch
%define LIBVER 6.0.1
Summary(de): Library zum Verarbeiten verschiedener jpeg-Dateien
Summary(fr): Bibliothque pour grer diffrents fichiers jpeg
Summary(tr): jpeg resimlerini ileme kitapl

%changelog
* Tue Jun 09 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Thu Jun 04 1998 Marc Ewing <marc@redhat.com>
- renamed to libjpeg6a
- shared lib *only* package
- this package was made for use on RH 5.1 to support apps from 5.0

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>

- new package to remove jpeg stuff from libgr and put in it's own package

%description
This package is a library of functions that manipulate jpeg images, along
with simple clients for manipulating jpeg images.

%package devel
Summary: headers and static libraries for developing programs using libjpeg
Group: Development/Libraries
Requires: libjpeg
Summary(de): Header und statische Libraries zum Entwickeln von Programmen mit libjpeg
Summary(fr): Bibliothques statiques et en-ttes pour dvelopper avec libjpeg
Summary(tr): libjpeg iin gelitirme kitaplklar ve balk dosyalar

%description devel
This package is all you need to develop programs that manipulate jpeg
images, including documentation.

%description -l de devel
Dieses Paket bietet alles, was Sie brauchen, um Programme zur Manipulation
von jpeg-Grafiken, einschlielich Dokumentation, zu entwickeln.

%description -l de
Dieses Paket ist eine Library mit Funktionen zur Manipulation von 
jpeg-Bildern, zusammen mit einfachen Clients zur Manipulation von jpeg-


%description -l fr devel
Ce package est tout ce dont vous avez besoin pour dvelopper des
programmes manipulant des images jpg, et comprend la documentation.

%description -l fr
Bibliothque de fonctions qui manipulent des images jpeg, et clients simples
pour manipuler de telles images.

%description -l tr devel
Bu paket, jpeg resimlerini ileyen programlar gelitirmeniz iin gereken
balk dosyalarn, kitaplklar ve ilgili yardm belgelerini ierir.

%description -l tr
Bu paket, jpeg ekillerini ilemek iin kitaplklar ve basit istemciler ierir.

%prep
%setup -n jpeg-6a
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$RPM_BUILD_ROOT/usr
make
#ln -s libjpeg.so.%{LIBVER} libjpeg.so.6
#LD_LIBRARY_PATH=$PWD make test

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib #$RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man/man1
#make install
#make install-headers
#make install-lib

install -m 755 -o 0 -g 0 libjpeg.so.%{LIBVER} $RPM_BUILD_ROOT/usr/lib
#ln -sf libjpeg.so.%{LIBVER} $RPM_BUILD_ROOT/usr/lib/libjpeg.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/libjpeg.so.%{LIBVER}
#/usr/bin/djpeg
#/usr/bin/cjpeg
#/usr/bin/jpegtran
#/usr/bin/rdjpgcom
#/usr/bin/wrjpgcom
#/usr/man/man1/djpeg.1
#/usr/man/man1/cjpeg.1
#/usr/man/man1/jpegtran.1
#/usr/man/man1/rdjpgcom.1
#/usr/man/man1/wrjpgcom.1

#%files devel
#/usr/lib/libjpeg.a
#/usr/lib/libjpeg.so
#/usr/include/jconfig.h
#/usr/include/jpeglib.h 
#/usr/include/jmorecfg.h 
#/usr/include/jerror.h 
